LegacyGrailsApplication (Grails 3.1.4)
Date: 2016-03-16

Package: org.grails.core.legacy

## [Groovy] Class LegacyGrailsApplication

- org.grails.core.legacy.LegacyGrailsApplication

- All Implemented Interfaces and Traits:
    GrailsApplication

      @groovy.transform.CompileStatic
      class LegacyGrailsApplication
      extends groovy.lang.GroovyObjectSupport

  Legacy bridge for older GrailsApplication API

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected static java.util.regex.Pattern` | `GETCLASSESMETH_PATTERN` |
    `protected static java.util.regex.Pattern` | `GETCLASSESPROP_PATTERN` |
    `protected static java.util.regex.Pattern` | `GETCLASS_PATTERN` |
    `protected static java.util.regex.Pattern` | `ISCLASS_PATTERN` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `GrailsApplication` | `grailsApplication`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `LegacyGrailsApplication (GrailsApplication grailsApplication)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `GrailsClass` | `addArtefact(java.lang.String artefactType, java.lang.Class artefactClass)`
    `GrailsClass` | `addArtefact(java.lang.String artefactType, GrailsClass artefactGrailsClass)`
    `void` | `addArtefact(java.lang.Class artefact)`
    `void` | `addOverridableArtefact(java.lang.Class artefact)`
    `void` | `configChanged()`
    `java.lang.Class[]` | `getAllArtefacts()`
    `java.lang.Class[]` | `getAllClasses()`
    `GrailsClass` | `getArtefact(java.lang.String artefactType, java.lang.String name)`
    `GrailsClass` | `getArtefactByLogicalPropertyName(java.lang.String type, java.lang.String logicalName)`
    `GrailsClass` | `getArtefactForFeature(java.lang.String artefactType, java.lang.Object featureID)`
    `ArtefactHandler` | `getArtefactHandler(java.lang.String type)`
    `ArtefactHandler[]` | `getArtefactHandlers()`
    `ArtefactInfo` | `getArtefactInfo(java.lang.String artefactType)`
    `ArtefactHandler` | `getArtefactType(java.lang.Class theClass)`
    `GrailsClass[]` | `getArtefacts(java.lang.String artefactType)`
    `java.lang.Class` | `getClassForName(java.lang.String className)`
    `java.lang.ClassLoader` | `getClassLoader()`
    `groovy.util.ConfigObject` | `getConfig()`
    `java.util.Map<java.lang.String, java.lang.Object>` | `getFlatConfig()`
    `org.springframework.context.ApplicationContext` | `getMainContext()`
    `Metadata` | `getMetadata()`
    `org.springframework.context.ApplicationContext` | `getParentContext()`
    `java.lang.Object` | `getProperty(java.lang.String property)`
    `org.springframework.core.io.Resource` | `getResourceForClass(java.lang.Class theClazz)`
    `boolean` | `hasArtefactHandler(java.lang.String type)`
    `void` | `initialise()`
    `boolean` | `isArtefact(java.lang.Class theClazz)`
    `boolean` | `isArtefactOfType(java.lang.String artefactType, java.lang.Class theClazz)`
    `boolean` | `isArtefactOfType(java.lang.String artefactType, java.lang.String className)`
    `boolean` | `isInitialised()`
    `boolean` | `isWarDeployed()`
    `void` | `rebuild()`
    `void` | `refresh()`
    `void` | `refreshConstraints()`
    `void` | `registerArtefactHandler(ArtefactHandler handler)`
    `void` | `setMainContext(org.springframework.context.ApplicationContext context)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### protected static final java.util.regex.Pattern GETCLASSESMETH_PATTERN

    - #### protected static final java.util.regex.Pattern GETCLASSESPROP_PATTERN

    - #### protected static final java.util.regex.Pattern GETCLASS_PATTERN

    - #### protected static final java.util.regex.Pattern ISCLASS_PATTERN

  - ### Property Detail

    - #### GrailsApplication grailsApplication

  - ### Constructor Detail

    - #### LegacyGrailsApplication(GrailsApplication grailsApplication)

  - ### Method Detail

    - #### @java.lang.Override GrailsClass addArtefact(java.lang.String artefactType, java.lang.Class artefactClass)

    - #### @java.lang.Override GrailsClass addArtefact(java.lang.String artefactType, GrailsClass artefactGrailsClass)

    - #### @java.lang.Override void addArtefact(java.lang.Class artefact)

    - #### @java.lang.Override void addOverridableArtefact(java.lang.Class artefact)

    - #### @java.lang.Override void configChanged()

    - #### @java.lang.Override java.lang.Class[] getAllArtefacts()

    - #### @java.lang.Override java.lang.Class[] getAllClasses()

    - #### @java.lang.Override GrailsClass getArtefact(java.lang.String artefactType, java.lang.String name)

    - #### @java.lang.Override GrailsClass getArtefactByLogicalPropertyName(java.lang.String type, java.lang.String logicalName)

    - #### @java.lang.Override GrailsClass getArtefactForFeature(java.lang.String artefactType, java.lang.Object featureID)

    - #### @java.lang.Override ArtefactHandler getArtefactHandler(java.lang.String type)

    - #### @java.lang.Override ArtefactHandler[] getArtefactHandlers()

    - #### @java.lang.Override ArtefactInfo getArtefactInfo(java.lang.String artefactType)

    - #### @java.lang.Override ArtefactHandler getArtefactType(java.lang.Class theClass)

    - #### @java.lang.Override GrailsClass[] getArtefacts(java.lang.String artefactType)

    - #### @java.lang.Override java.lang.Class getClassForName(java.lang.String className)

    - #### @java.lang.Override java.lang.ClassLoader getClassLoader()

    - #### @java.lang.Override groovy.util.ConfigObject getConfig()

    - #### @java.lang.Override java.util.Map<java.lang.String, java.lang.Object> getFlatConfig()

    - #### @java.lang.Override org.springframework.context.ApplicationContext getMainContext()

    - #### @java.lang.Override Metadata getMetadata()

    - #### @java.lang.Override org.springframework.context.ApplicationContext getParentContext()

    - #### @java.lang.Override java.lang.Object getProperty(java.lang.String property)

    - #### @java.lang.Override org.springframework.core.io.Resource getResourceForClass(java.lang.Class theClazz)

    - #### @java.lang.Override boolean hasArtefactHandler(java.lang.String type)

    - #### @java.lang.Override void initialise()

    - #### @java.lang.Override boolean isArtefact(java.lang.Class theClazz)

    - #### @java.lang.Override boolean isArtefactOfType(java.lang.String artefactType, java.lang.Class theClazz)

    - #### @java.lang.Override boolean isArtefactOfType(java.lang.String artefactType, java.lang.String className)

    - #### @java.lang.Override boolean isInitialised()

    - #### @java.lang.Override boolean isWarDeployed()

    - #### @java.lang.Override void rebuild()

    - #### @java.lang.Override void refresh()

    - #### @java.lang.Override void refreshConstraints()

    - #### @java.lang.Override void registerArtefactHandler(ArtefactHandler handler)

    - #### @java.lang.Override void setMainContext(org.springframework.context.ApplicationContext context)